Bug 968878 - Error occurs when adding the second virtio disk during using network intall guest
Error occurs when adding the second virtio disk during using network intall g...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-manager (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 03:41 EDT by tingting zheng
Modified: 2014-06-17 20:00 EDT (History)
7 users (show)

See Also:
Fixed In Version: virt-manager-0.10.0-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 968899 (view as bug list)
Environment:
Last Closed: 2014-06-13 06:38:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Debug info from virt-manager (16.71 KB, text/plain)
2013-05-30 03:41 EDT, tingting zheng
no flags Details

  None (edit)
Description tingting zheng 2013-05-30 03:41:09 EDT
Created attachment 754700 [details]
Debug info from virt-manager

Description
Error occurs when adding the second virtio disk during using network intall guest

Version:
virt-manager-0.10.0-0.4.gitb68faac8.el7.noarch
libvirt-1.0.5-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Launch virt-manager.
2.Create a new guest,choose network install(HTTP,FTP or NFS).
3.Input the URL,then forward the installation until step 5,click "Customize configuration before install",then click Finish.
4.Click "Add Hardware"->"Storage",choose the device type as virtio.
5.Click "Begin Installation",error occurs:
Unable to complete install: 'internal error process exited while connecting to monitor: qemu-kvm: -drive file=/var/lib/libvirt/images/sdf-1.img,if=none,id=drive-virtio-disk0,format=raw,cache=none: Duplicate ID 'drive-virtio-disk0' for drive


Actual results:
As describes.

Expected results:
The installation can be successfully.

Additional info:
1.The error only occurs when choose network install(HTTP,FTP or NFS),as network install set the first disk as virtio by default while other install method set first disk as IDE type.
2.When choose network install(HTTP,FTP or NFS) with only 1 disk,the guest can be installed successfully,then add the second virtio disk,the guest can boot successfully.
3.Attached the debug log.
4.When using other method to install guest,add the second disk as IDE can also hit the issue.
Comment 2 Martin Kletzander 2013-07-09 08:54:07 EDT
Patch proposed upstream:

https://www.redhat.com/archives/virt-tools-list/2013-July/msg00035.html
Comment 3 Martin Kletzander 2013-07-10 04:48:23 EDT
Moving to POST with commit v0.10.0-70-gf083135:

commit f08313513bb8fc06eb38fb179bfa99f2daa27caf
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Tue Jul 9 14:53:22 2013 +0200

    Use proper disk targets.
Comment 7 tingting zheng 2013-08-15 05:08:50 EDT
Tested with:
virt-manager-0.10.0-2.el7.noarch

Steps as described,no error occurs and install guest successfully,so move the bug to VERIFIED.
Comment 8 Ludek Smid 2014-06-13 06:38:49 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.